# Class CIM_ControlledBy
extends CIM_DeviceConnection

The ControlledBy relationship indicates which Devices are controlled by a CIM_Controller.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceConnection
|
+--CIM_ControlledBy

## Direct Known Subclasses

CIM_SCSIInterface
CIM_SerialInterface
CIM_USBControllerHasHub

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The ControlledBy relationship indicates which Devices are controlled by a CIM_Controller.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AccessMode | uint16 |
Description | string | This property describes the accessibility of the device through the antecedent controller.
ValueMap | string | 2, 3, 4
Values | string | ReadWrite, ReadOnly, NoAccess
AccessPriority | uint16 |
Description | string | The property describes the priority given to accesses of the device through this controller. The highest priority path will have the lowest value for this parameter.
AccessState | uint16 |
Description | string | The State property indicates whether the Controller is actively commanding or accessing the Device (value=1) or not (value=2). Also, the value, "Unknown" (0), can be defined. This information is necessary when a LogicalDevice can be commanded by, or accessed through, multiple Controllers.
ValueMap | string | 0, 1, 2
Values | string | Unknown, Active, Inactive
DeviceNumber | string |
Description | string | Address of associated Device in context of the antecedent Controller.
NumberOfHardResets | uint32 |
Counter | boolean | true
Description | string | Number of hard resets issued by the Controller. A hard reset returns the Device to its initialization or boot-up state. All internal Device state information and data are lost.
NumberOfSoftResets | uint32 |
Counter | boolean | true
Description | string | Number of soft resets issued by the Controller. A soft reset does not completely clear current Device state or data. Exact semantics are dependent on the Device and on the protocols and mechanisms used to communicate with the Device.
TimeOfDeviceReset | datetime |
Description | string | The time that the downstream Device was last reset by the Controller.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ControlledBy | CIM_Controller
Dependent | CIM_ControlledBy | CIM_LogicalDevice

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
NegotiatedDataWidth | uint32 | CIM_DeviceConnection
NegotiatedSpeed | uint64 | CIM_DeviceConnection

## Class Methods